// Filtre RIF passe-bas  avec fenetrage de Hamming de la reponse impulsionnelle
// Frequence de coupure = 1/2
// largeur de la bande de transition = 0.05

M = 35; N = 2*M+1;
n = -M:M;

// Réponse impulsionnelle de n = -M a +M
h2 = 0.5*sinc(n*%pi/2);
// Fenêtrage de h2
w = window('hm',N);
h2 = h2.*w;

// Affichage de h2(n) sur la fenetre 2
xset("window",2); xbasc();
plot2d(n,h2,-9)
xtitle("Reponse impulsionnelle h2(n)","n","h2(n)");

// Réponse fréquentielle de h tronque'
NFFT = 512;
h2_zeropadding = [h2,zeros(1,NFFT-N)];
H2 = fft(h2_zeropadding,-1);

// Affichage de |H2(f)| sur la fenetre 3
H2 = fftshift(H2);
f = -0.5:1/NFFT:0.5-1/NFFT;
xset("window",3); xbasc();
plot2d(f,20*log10(abs(H2)),2,"011","",[-0.5 -70 0.5 5])
xtitle("Reponse frequentielle |H2(f)| (en dB)","f","|H2(f)| (dB)")

