// Filtre RIF passe-bas  avec fenetrage rectangulaire de la reponse impulsionnelle
// Frequence de coupure = 1/2
// largeur de la bande de transition = 0.05

M = 10; L = 2*M+1;
n = -M:M;

// Réponse impulsionnelle de n = -M a +M (L échantillons)
h1 = 0.5*sinc(n*%pi/2);	//*

// Affichage de h1(n) sur la fenetre 0
xset("window",0); xbasc();
plot2d(n,h1,-9)
xtitle("Reponse impulsionnelle h1(n)","n","h1(n)");

// Réponse fréquentielle de h tronque' et décalé de 5 échantillons
NFFT = 512;	// nombre d'echantillons de la TFD
h1_zeropadding = [h1,zeros(1,NFFT-L)];
H1 = fft(h1_zeropadding,-1);	// H1(f) pour f de 0 à 1 (avec NFFT echantillons frequentiels)

// Affichage de |H1(f)| sur la fenetre 1
H1 = fftshift(H1);	// H1(f) pour f de -1/2 à +1/2
f = -0.5:1/NFFT:0.5-1/NFFT;	// frequences normalisees : NFFT echantillons frequentiels
xset("window",1); xbasc();
plot2d(f,20*log10(abs(H1)),2,"011","",[-0.5 -50 0.5 5])
xtitle("Reponse frequentielle |H1(f)| (en dB)","f","|H1(f)| (dB)")

